Subject: Re: bug#31853: 27.0.50; binding case-fold-search is slow when there are many buffers

From: Aaron Jensen <[email-masked]>
Date: Fri, 22 Jun 2018 22:23:09 -0700

On Sun, Jun 17, 2018 at 6:11 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Aaron Jensen <[email-masked]>
> > Date: Sun, 17 Jun 2018 05:37:41 -0700
> > Cc: [email-masked]
> >
> > > On Sat, Jun 16, 2018 at 12:53 AM Eli Zaretskii <[email-masked]> wrote:
> > > > In https://debbugs.gnu.org/cgi/bugreport.cgi?bug=18522#201 I proposed
> > > > a change to set-default that would use FOR_EACH_LIVE_BUFFER.  Could
> > > > you see if that change helps in your case?
> >
> > With 148 live buffers and 6 hours of uptime, I'm up to about 23
> > microseconds. Still a far cry from 1ms. I'll keep testing.
>
> Thanks.

I haven't noticed any slowdown yet. It seems to be an improvement. If
you're good with the patch and could provide me with some text to
write in the commit message (I roughly understand what it does, but I
don't know anything about the other ramifications) I can send another
patch. Otherwise, please feel free to use the patch and commit w/ your
own message/name.

Thanks.